Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11792)
@@ -3415,125 +3957,123 @@
             <Layer>
                 <Section section="normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/LargeVerticalScrollbar
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/LargeVerticalScrollbar">
         <Property name="VerticalScrollbar" value="True" />
         <NamedArea name="ThumbTrackArea">
             <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="0.325" type="LeftEdge" /></Dim>
-                <Dim type="TopEdge" >
-                    <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="SleekSpace" image="VertScrollTop" dimension="Height">
-                                <DimOperator op="Multiply">
-                                    <AbsoluteDim value="0.5" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </WidgetDim>
-                </Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="SleekSpace" image="VertScrollTop" dimension="Height">
-                                        <DimOperator op="Multiply">
-                                            <AbsoluteDim value="0.5" />
-                                        </DimOperator>
-                                    </ImageDim>
-                                </DimOperator>
-                            </WidgetDim>
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="0.325" type="LeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="SleekSpace/VertScrollTop" />
+                            <AbsoluteDim value="0.5" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <OperatorDim op="Add">
+                            <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="SleekSpace/VertScrollTop" />
+                                <AbsoluteDim value="0.5" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="0.25" type="LeftEdge" /></Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="-1">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="SleekSpace" image="VertScrollTop" dimension="Height">
-                                <DimOperator op="Multiply">
-                                    <AbsoluteDim value="0.5" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </AbsoluteDim>
-                </Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.6" type="Width" /></Dim>
-                <Dim type="Height" >
-                    <UnifiedDim scale="0.6" type="Width">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="SleekSpace" image="VertScrollUpNormal" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="SleekSpace" image="VertScrollUpNormal" dimension="Height"/>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+        <Child nameSuffix="__auto_incbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="0.25" type="LeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <AbsoluteDim value="-1" />
+                        <OperatorDim op="Multiply">
+                            <ImageDim dimension="Height" name="SleekSpace/VertScrollTop" />
+                            <AbsoluteDim value="0.5" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.6" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <UnifiedDim scale="0.6" type="Width" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="SleekSpace/VertScrollUpNormal" />
+                            <ImageDim dimension="Height" name="SleekSpace/VertScrollUpNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:VertScrollDownNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:VertScrollDownHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:VertScrollDownNormal" />
+            <Property name="NormalImage" value="SleekSpace/VertScrollDownNormal" />
+            <Property name="HoverImage" value="SleekSpace/VertScrollDownHover" />
+            <Property name="PushedImage" value="SleekSpace/VertScrollDownNormal" />
         </Child>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><UnifiedDim scale="0.25" type="LeftEdge" /></Dim>
-                <Dim type="TopEdge">
-                    <ImageDim imageset="SleekSpace" image="VertScrollTop" dimension="Height">
-                        <DimOperator op="Multiply">
-                            <AbsoluteDim value="0.5" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.6" type="Width" /></Dim>
-                <Dim type="Height" >
-                    <UnifiedDim scale="0.6" type="Width">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="SleekSpace" image="VertScrollUpNormal" dimension="Width">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="SleekSpace" image="VertScrollUpNormal" dimension="Height"/>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+        <Child nameSuffix="__auto_decbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <UnifiedDim scale="0.25" type="LeftEdge" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <ImageDim dimension="Height" name="SleekSpace/VertScrollTop" />
+                        <AbsoluteDim value="0.5" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.6" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <UnifiedDim scale="0.6" type="Width" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Width" name="SleekSpace/VertScrollUpNormal" />
+                            <ImageDim dimension="Height" name="SleekSpace/VertScrollUpNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:VertScrollUpNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:VertScrollUpHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:VertScrollUpNormal" />
+            <Property name="NormalImage" value="SleekSpace/VertScrollUpNormal" />
+            <Property name="HoverImage" value="SleekSpace/VertScrollUpHover" />
+            <Property name="PushedImage" value="SleekSpace/VertScrollUpNormal" />
         </Child>
-        <Child  type="SleekSpace/LargeVerticalScrollbarThumb" nameSuffix="__auto_thumb__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="0.4" type="Width" /></Dim>
-                <Dim type="Height" >
-                    <UnifiedDim scale="0.4" type="Width">
-                        <DimOperator op="Multiply">
-                            <ImageDim imageset="SleekSpace" image="VertScrollThumbNormal" dimension="Height">
-                                <DimOperator op="Divide">
-                                    <ImageDim imageset="SleekSpace" image="VertScrollThumbNormal" dimension="Width"/>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+        <Child nameSuffix="__auto_thumb__" type="SleekSpace/LargeVerticalScrollbarThumb">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="0.4" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <UnifiedDim scale="0.4" type="Width" />
+                        <OperatorDim op="Divide">
+                            <ImageDim dimension="Height" name="SleekSpace/VertScrollThumbNormal" />
+                            <ImageDim dimension="Width" name="SleekSpace/VertScrollThumbNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -3542,45 +4082,52 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopEdge" imageset="SleekSpace" image="VertScrollTop" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="VertScrollBottom" />
-                <Image type="Background" imageset="SleekSpace" image="VertScrollMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopEdge" name="SleekSpace/VertScrollTop" />
+                <Image component="BottomEdge" name="SleekSpace/VertScrollBottom" />
+                <Image component="Background" name="SleekSpace/VertScrollMiddle" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><UnifiedDim scale="0.45" type="LeftEdge" /></Dim>
-                    <Dim type="TopEdge" >
-                        <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                            <DimOperator op="Add">
-                                <ImageDim imageset="SleekSpace" image="VertScrollTop" dimension="Height">
-                                    <DimOperator op="Multiply">
-                                        <AbsoluteDim value="0.5" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </WidgetDim>
-                    </Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1.0" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <WidgetDim widget="__auto_decbtn__" dimension="Height">
-                                    <DimOperator op="Add">
-                                        <ImageDim imageset="SleekSpace" image="VertScrollTop" dimension="Height">
-                                            <DimOperator op="Multiply">
-                                                <AbsoluteDim value="0.5" />
-                                            </DimOperator>
-                                        </ImageDim>
-                                    </DimOperator>
-                                </WidgetDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="VertScrollBarSegment" />
+                    <Dim type="LeftEdge">
+                        <UnifiedDim scale="0.45" type="LeftEdge" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <OperatorDim op="Add">
+                            <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                            <OperatorDim op="Multiply">
+                                <ImageDim dimension="Height" name="SleekSpace/VertScrollTop" />
+                                <AbsoluteDim value="0.5" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1.0" type="BottomEdge" />
+                            <OperatorDim op="Add">
+                                <WidgetDim dimension="Height" widget="__auto_decbtn__" />
+                                <OperatorDim op="Multiply">
+                                    <ImageDim dimension="Height" name="SleekSpace/VertScrollTop" />
+                                    <AbsoluteDim value="0.5" />
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/VertScrollBarSegment" />
                 <VertFormat type="Tiled" />
             </ImageryComponent>
@@ -3594,5 +4141,5 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
